Package org.apache.catalina.core

## Class ApplicationFilterConfig

- java.lang.Object
- - org.apache.catalina.core.ApplicationFilterConfig

All Implemented Interfaces:
  `java.io.Serializable`, `FilterConfig`

    public final class ApplicationFilterConfig
    extends java.lang.Object
    implements FilterConfig, java.io.Serializable

Implementation of a `javax.servlet.FilterConfig` useful in managing the filter instances instantiated when a web application is first started.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilterClass()`
`java.util.Map<java.lang.String,​java.lang.String>` `getFilterInitParameterMap()`
`java.lang.String` `getFilterName()` Return the name of the filter we are configuring.
`java.lang.String` `getInitParameter​(java.lang.String name)` Return a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`java.util.Enumeration<java.lang.String>` `getInitParameterNames()` Return an `Enumeration` of the names of the initialization parameters for this Filter.
`ServletContext` `getServletContext()` Return the ServletContext of our associated web application.
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getFilterName

    public java.lang.String getFilterName()

Return the name of the filter we are configuring.

Specified by:
  `getFilterName` in interface `FilterConfig`
Returns:
  The filter-name of this filter as defined in the deployment descriptor.

#### getFilterClass

    public java.lang.String getFilterClass()

Returns:
  The class of the filter we are configuring.

#### getInitParameter

    public java.lang.String getInitParameter​(java.lang.String name)

Return a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.

Specified by:
  `getInitParameter` in interface `FilterConfig`
Parameters:
  `name` - Name of the requested initialization parameter
Returns:
  `String` containing the value of the initialization parameter

#### getInitParameterNames

    public java.util.Enumeration<java.lang.String> getInitParameterNames()

Return an `Enumeration` of the names of the initialization parameters for this Filter.

Specified by:
  `getInitParameterNames` in interface `FilterConfig`
Returns:
  `Enumeration` of `String` objects containing the names of the filter's initialization parameters

#### getServletContext

    public ServletContext getServletContext()

Return the ServletContext of our associated web application.

Specified by:
  `getServletContext` in interface `FilterConfig`
Returns:
  `ServletContext` object, used by the caller to interact with its servlet container
See Also:
  `ServletContext`

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### getFilterInitParameterMap

    public java.util.Map<java.lang.String,​java.lang.String> getFilterInitParameterMap()